#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libdbi-drivers
Version		:	0.9.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Database-specific drivers for libdbi

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://libdbi.sourceforge.net/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	gcc
BuildRequires	:	make

BuildRequires	:	libdbi-devel		= %{version}
BuildRequires	:	postgresql-server-devel

#-----------------------------------------------------------------------------
%description
libdbi implements a database-independent abstraction
layer in C, similar to the DBI/DBD layer in Perl.
Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple
simultaneous database connections by using this framework.
	
	
libdbi-drivers contains the database-specific plugins
needed to connect libdbi to particular database servers.
	
#-----------------------------------------------------------------------------
%files
%defattr(-, root,root,-)
	
#=============================================================================
%package		mysql

Summary		:	MySQL plugin for libdbi

#-----------------------------------------------------------------------------
BuildRequires	:	mariadb
BuildRequires	:	openssl-devel

Requires	:       %{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		mysql
This plugin provides connectivity to MySQL/MariaDB
database servers through the libdbi database
independent abstraction layer. Switching a program's
plugin does not require recompilation or rewriting
source code.
 
	
#-----------------------------------------------------------------------------
%files			mysql
%defattr(-,root,root,-)
%{_libdir}/dbd/libdbdmysql.so

#=============================================================================
%package		pgsql

Summary		:	Postgresql plugin for libdbi

#-----------------------------------------------------------------------------
BuildRequires	:	postgresql
BuildRequires	:	openssl-devel

Requires	:       %{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		pgsql
This plugin provides connectivity to PostgreSQL
database servers through the libdbi database
independent abstraction layer. Switching a
program's plugin does not require recompilation
or rewriting source code.
	
#-----------------------------------------------------------------------------
%files			pgsql
%defattr(-,root,root,-)
%{_libdir}/dbd/libdbdpgsql.so

#=============================================================================
%package		sqlite

Summary		:	SQLite plugin for libdbi

#-----------------------------------------------------------------------------
BuildRequires	:	sqlite

Requires	:       %{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		sqlite
This plugin provides access to an embedded
SQL engine using libsqlite3 through the libdbi
database independent abstraction layer.
Switching a program's plugin does not require
recompilation or rewriting source code.
	
#-----------------------------------------------------------------------------
%files			sqlite
%defattr(-,root,root,-)
%{_libdir}/dbd/libdbdsqlite3.so

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

autoconf -v -i -f

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--disable-docs					\
	--with-mysql					\
	--with-pgsql					\
	--with-sqlite3

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

 
	
# we will include generated documentation in -devel subpackage,
# so we need to remove it from builddir, since it would be included
# automatically otherwise
%{__rm} -rf %{buildroot}%{_docdir}/%{name}-%{version}

#To remove libtool library and static library
find 								\
	%{buildroot}%{_libdir}					\
	\(							\
		 -name \*.la					\
		 -o						\
		 -name \*.a					\
	 \)							\
	-delete

#-----------------------------------------------------------------------------
%changelog
